   
/*          ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::          */
-- CRIAR A TABELA NA BANCO ARQUIVOS.


DECLARE @BANCODADOS VARCHAR(50),
		@TEXT VARCHAR(MAX)
	SET @BANCODADOS = ( SELECT NOME_BANCO_DADOS FROM PRC_BANCOS_DADOS WHERE TIPO_BANCO_DADOS=1 )

	SET @TEXT = ('IF NOT EXISTS ( SELECT * FROM ' +  @BANCODADOS + '.SYS.OBJECTS WHERE NAME =''EST_NF_ENT_ARQ_DANFE_CTE'' ) 
				BEGIN 
					 CREATE TABLE '+  @BANCODADOS +'.dbo.EST_NF_ENT_ARQ_DANFE_CTE(
						[CD_CTR]		INT NOT NULL,
						[ARQUIVO_DANFE] VARBINARY(MAX) ,
						[DT_CAD]		DATETIME)
				END '
				)
	
	-- SELECT @TEXT

	EXEC (@TEXT)

GO 


/*          ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::          */
 -- CRIAR SYNONYM  NO BANCO PRODUÇÃO > PARA ARQUIVOS.
 
DECLARE @BD VARCHAR(50);
	SET @BD = (SELECT NOME_BANCO_DADOS FROM PRC_BANCOS_DADOS WHERE TIPO_BANCO_DADOS=1 )

	 
IF LEN(@BD) > 0
	BEGIN
		IF EXISTS(SELECT NAME FROM SYS.OBJECTS WHERE NAME = 'EST_NF_ENT_ARQ_DANFE_CTE' AND TYPE = 'SN')
		BEGIN
			EXEC ('DROP SYNONYM EST_NF_ENT_ARQ_DANFE_CTE');
		END

		EXEC ('CREATE SYNONYM [DBO].[EST_NF_ENT_ARQ_DANFE_CTE] FOR '+@BD+'..EST_NF_ENT_ARQ_DANFE_CTE');
	END
ELSE
	BEGIN
		PRINT 'NAO FOI POSSIVEL RETORNAR O BANCO DE DADOS PARA CRIACAO DO SINONIMO EST_NF_ENT_ARQ_DANFE_CTE'
	END

